import { IGatewaySettings, INotificationSettings } from "./types";
export declare type IAppInfo = {
    address: string;
    appId: string;
    publicKey: string;
};
export declare type UserLB = {
    apps: IAppInfo[];
    chain: string;
    createdAt?: Date | number;
    freeTier: boolean;
    gatewaySettings: IGatewaySettings;
    id: string;
    name: string;
    notificationSettings: INotificationSettings;
    status: string;
    updatedAt?: Date | number;
    user?: string;
};
export declare type UserLBResponse = UserLB[];
export declare type UserLBOnChainData = {
    stake: number;
    relays: number;
};
export declare type UserLBOnChainDataResponse = UserLBOnChainData;
export declare type UserLBTotalRelaysResponse = {
    total_relays: number;
};
export declare type UserLBTotalSuccessfulRelaysResponse = {
    successful_relays: number;
};
export declare type UserLBDailyRelayBucket = {
    bucket: string;
    daily_relays: number;
};
export declare type UserLBDailyRelaysResponse = {
    daily_relays: UserLBDailyRelayBucket[];
};
export declare type UserLBSessionRelaysResponse = {
    session_relays: number;
};
export declare type UserLBPreviousTotalRelaysResponse = {
    total_relays: number;
};
export declare type UserLBPreviousTotalSuccessfulRelaysResponse = {
    successful_relays: number;
};
export declare type UserLBLatencyBucket = {
    bucket: string;
    latency: number;
};
export declare type UserLBHistoricalLatencyResponse = {
    hourly_latency: UserLBLatencyBucket[];
};
export declare type UserLBOriginBucket = {
    count: number;
    origin: string;
};
export declare type UserLBHistoricalOriginFrequencyResponse = {
    origin_classification: UserLBOriginBucket[];
};
export declare type UserLBErrorBucket = {
    bytes: number;
    message: string;
    method: string;
    nodeaddress: string;
    timestamp: number;
};
export declare type UserLBErrorMetricsResponse = UserLBErrorBucket[];
//# sourceMappingURL=lb-response-types.d.ts.map